Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231965 - [kn_IN] wrong Conjuct combines during the formation kannada letter [yo]
Summary: [kn_IN] wrong Conjuct combines during the formation kannada letter [yo]
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fonts-indic
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Bhalerao
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 233257
TreeView+ depends on / blocked
 
Reported: 2007-03-13 10:10 UTC by Ramakrishna Reddy Yekulla
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-30 06:23:58 UTC


Attachments (Terms of Use)
Image of the actual and expected results with key sequences. (deleted)
2007-03-13 10:10 UTC, Ramakrishna Reddy Yekulla
no flags Details
Patch for fixing this bug (deleted)
2007-03-21 10:41 UTC, Parag Nemade
no flags Details | Diff
Patch for fixing this bug (deleted)
2007-03-22 10:53 UTC, Parag Nemade
no flags Details | Diff
Verified Image (deleted)
2007-04-30 06:22 UTC, A S Alam
no flags Details

Description Ramakrishna Reddy Yekulla 2007-03-13 10:10:57 UTC
Description of problem:
Wrong Conjuct combination is formed during the combination of kannada letter
[yo]. Its a combination of 0CAF + 0CCA, raw unicode characters

Version-Release number of selected component (if applicable):

[rreddy@getafix ~]$ rpm -qa |grep fonts-kannada
fonts-kannada-2.0.12-1.fc7

How reproducible:
1. Every Time

Steps to Reproduce:
1. Gedit and Enable SCIM, Choose Either Kannada Inscript or Itrans 
2. In Inscript the Key combination is /~
3. In iTrans the keys are yo
or 
4. Raw Unicode 0CAF + 0CCA

  
Actual results:
As shown in the attached image

Expected results:

As shown in the attached image


Additional info:

Comment 1 Ramakrishna Reddy Yekulla 2007-03-13 10:10:57 UTC
Created attachment 149912 [details]
Image of the actual and expected results with key sequences.

Comment 2 Parag Nemade 2007-03-21 10:41:02 UTC
Created attachment 150558 [details]
Patch for fixing this bug

Comment 3 Parag Nemade 2007-03-22 10:53:51 UTC
Created attachment 150651 [details]
Patch for fixing this bug

Comment 4 Parag Nemade 2007-03-27 03:49:26 UTC
Fix is now built in fonts-kannada-2.1.5-1.fc7

Comment 5 A S Alam 2007-04-30 06:22:52 UTC
Created attachment 153763 [details]
Verified Image

Comment 6 A S Alam 2007-04-30 06:23:58 UTC
CLOSE:
verified with following image:
fonts-kannada-2.1.5-1.fc7


Note You need to log in before you can comment on or make changes to this bug.